#1592 closed defect (fixed)

Coverage Improvement: Error reporting routines

Reported by: Bharath Suri Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

PR intended to track coverage improvement of error reporting routines (error.c) under libcsupport

Attachments (4)

rtems-error-tests.tar.gz (7.7 KB) - added by Bharath Suri on Jun 25, 2010 at 7:03:12 PM.
New tests sperror01, sperror02, sperror03 @ testsuites/sptests
ChangeLog (98.5 KB) - added by Bharath Suri on Jun 25, 2010 at 7:04:12 PM.
Updated ChangeLog? @ testsuites/sptests
patch-configure.ac (512 bytes) - added by Bharath Suri on Jun 25, 2010 at 7:05:52 PM.
Patch for configure.ac @ testsuites/sptests
patch-Makefile.am (737 bytes) - added by Bharath Suri on Jun 25, 2010 at 7:06:28 PM.
Patch for Makefile.am @ testsuites/sptests

Download all attachments as: .zip

Change History (6)

Changed on Jun 25, 2010 at 7:03:12 PM by Bharath Suri

Attachment: rtems-error-tests.tar.gz added

New tests sperror01, sperror02, sperror03 @ testsuites/sptests

Changed on Jun 25, 2010 at 7:04:12 PM by Bharath Suri

Attachment: ChangeLog added

Updated ChangeLog? @ testsuites/sptests

Changed on Jun 25, 2010 at 7:05:52 PM by Bharath Suri

Attachment: patch-configure.ac added

Patch for configure.ac @ testsuites/sptests

Changed on Jun 25, 2010 at 7:06:28 PM by Bharath Suri

Attachment: patch-Makefile.am added

Patch for Makefile.am @ testsuites/sptests

comment:1 Changed on Jun 28, 2010 at 1:05:49 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Patch committed with some test and screen cleanup.

+ Test output should not have M or output from the simulator or BSP.
+ Final call to abort or panic also prints "END OF test" message.

I will post coverage results once I run them.

Thanks.

comment:2 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.